Bug 816848 - Some /var/log/ files are not highlighted by vim
Some /var/log/ files are not highlighted by vim
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: vim (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Karsten Hopp
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-27 03:44 EDT by Gökçen Eraslan
Modified: 2012-05-21 05:11 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-21 05:11:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gökçen Eraslan 2012-04-27 03:44:26 EDT
Description of problem:

Rotated messages files like /var/log/messages-20120401 and cron log file (/var/log/cron) are not syntax highlighted by vim.

Current hg mirror of vim sources shows that this is already fixed in vim by adding "-[0-9]*" to the au command:

http://code.google.com/p/vim/source/browse/runtime/filetype.vim#1125

So, when I use that au command, problem is gone.

Version-Release number of selected component (if applicable):
vim-filesystem-7.3.444-1.fc17.x86_64
vim-enhanced-7.3.444-1.fc17.x86_64
vim-minimal-7.3.444-1.fc17.x86_64
vim-common-7.3.444-1.fc17.x86_64

Steps to Reproduce:
1. sudo vim /var/log/messages-*
Comment 1 Gökçen Eraslan 2012-05-19 06:24:34 EDT
Ping?
Comment 2 Karsten Hopp 2012-05-21 05:11:22 EDT
fixed in git, will be in the next vim package

Note You need to log in before you can comment on or make changes to this bug.